---
name: Eliran Mesika
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/legal-and-corporate-affairs/corporate-development/">Senior
  Director,Corporate Development</a>
reports_to: robin-schulman
picture: eli.jpg
twitter: eliran_mesika
gitlab: eliran.mesika
division: Legal
departments:
- Corporate Affairs
- Product
- Product Management
- Corporate Development
story: 'Nicknamed ''The Fox'', Eliran graduated engineering at the Technion and has
  since focused on leading business growth for software companies. He managed the
  Customer Experience group at ClickTale, built a monetization ecosystem for Conduit
  and most recently co-founded OhTell, a micro-video hotel review company. Outside
  work you can find ''The Fox'' in the water or on land, training for IRONMAN triathlon
  races.

  '
job_title: Senior Director, Corporate Development
specialty:
- Corporate Development
public: true

